UPDATE table_version SET version_number = '13' WHERE version_id = '1';

CREATE TABLE table_configuration (
  configuration_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  jar_name VARCHAR(64) NOT NULL,
  configuration_name VARCHAR(64) NOT NULL,
  configuration_content TEXT NULL,
  INDEX configuration_id_FKIndex1(configuration_id)
)
ENGINE=InnoDB;

CREATE TABLE table_campaign_session_configuration (
  campaign_session_id INTEGER UNSIGNED NOT NULL,
  configuration_id INTEGER UNSIGNED NOT NULL,
  category_id INTEGER UNSIGNED NOT NULL,
  INDEX campaign_session_FKIndex1(campaign_session_id),
  INDEX configuration_FKIndex2(configuration_id),
  INDEX category_FKIndex3(category_id),
  FOREIGN KEY(campaign_session_id)
    REFERENCES table_campaign_session(campaign_session_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY(configuration_id)
    REFERENCES table_configuration(configuration_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY(category_id)
    REFERENCES table_category(category_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=InnoDB;





