UPDATE table_version SET version_number = '28' WHERE version_id = '1';

CREATE TABLE table_project_manager (
  project_id INTEGER UNSIGNED NOT NULL,
  user_id INTEGER UNSIGNED NOT NULL,
  UNIQUE KEY(project_id, user_id),
  INDEX project_manager_FKIndex1(project_id),
  INDEX project_manager_FKIndex2(user_id),
  FOREIGN KEY(project_id)
    REFERENCES table_project(project_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY(user_id)
    REFERENCES table_user(user_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=InnoDB;

CREATE TABLE table_test_url (
  url_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  test_content_id INTEGER UNSIGNED NOT NULL,
  url VARCHAR(128) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY(url_id), 
  INDEX test_url_FKIndex1(test_content_id),
  FOREIGN KEY(test_content_id)
    REFERENCES table_test_content(content_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=INNODB;

ALTER TABLE table_sprint_task ADD assigned_to INTEGER UNSIGNED NULL;
ALTER TABLE table_sprint_task ADD INDEX sprint_task_FKIndex3(assigned_to);
ALTER TABLE table_sprint_task ADD FOREIGN KEY(assigned_to)
    REFERENCES table_user(user_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION;
      
ALTER TABLE table_testcase CHANGE testcase_implemented testcase_dev_completed BOOL NOT NULL DEFAULT 0;
ALTER TABLE table_testcase ADD testcase_auth_completed BOOL NOT NULL DEFAULT 1;
      
ALTER TABLE table_test DROP FOREIGN KEY table_test_ibfk_2;
ALTER TABLE table_test CHANGE user_id author_id INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_test ADD FOREIGN KEY(author_id)
    REFERENCES table_user(user_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION;


ALTER TABLE table_test ADD developer_id INTEGER UNSIGNED NULL;
ALTER TABLE table_test ADD INDEX table_test_FKIndex3(developer_id);
ALTER TABLE table_test ADD FOREIGN KEY(developer_id)
    REFERENCES table_user(user_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION;
      
INSERT IGNORE INTO table_platform VALUES (2, 'ix86');