UPDATE table_version SET version_number = '3' WHERE version_id = '1';

INSERT INTO table_attr_boolean VALUES (DEFAULT, 'Stress', 0);
INSERT INTO table_attr_boolean VALUES (DEFAULT, 'Performance', 0);
INSERT INTO table_attr_boolean VALUES (DEFAULT, 'Negative', 0);
INSERT INTO table_attr_boolean VALUES (DEFAULT, 'Smoke', 0);
INSERT INTO table_attr_boolean VALUES (DEFAULT, 'White-box', 0);
INSERT INTO table_attr_boolean VALUES (DEFAULT, 'Integration', 0);
INSERT INTO table_attr_boolean VALUES (DEFAULT, 'User-acceptance', 0);

ALTER TABLE table_test_execution_defect DROP FOREIGN KEY table_test_execution_defect_ibfk_2;
ALTER TABLE table_test_execution_defect DROP INDEX table_test_execution_defect_FKIndex2;

ALTER TABLE table_defect DROP defect_url;
ALTER TABLE table_defect DROP defect_ref;

ALTER TABLE table_defect ADD  external_id        INTEGER UNSIGNED NULL;
ALTER TABLE table_defect ADD  defect_description TEXT             NULL;
ALTER TABLE table_defect ADD  priority           INTEGER          NULL;
ALTER TABLE table_defect ADD  severity           INTEGER          NULL;
ALTER TABLE table_defect ADD  reporter           INTEGER UNSIGNED NULL;
ALTER TABLE table_defect ADD  assigned_to        INTEGER UNSIGNED NULL;
ALTER TABLE table_defect ADD  status             TEXT             NULL;

ALTER TABLE table_defect ADD INDEX defect_FKIndex2(reporter);
ALTER TABLE table_defect ADD INDEX defect_FKIndex3(assigned_to);
		
CREATE TABLE table_category_stat (
  category_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  date DATETIME NULL,
  nb_tests INTEGER UNSIGNED NULL,
  nb_tests_implemented INTEGER UNSIGNED NULL,
  nb_testcases INTEGER UNSIGNED NULL,
  nb_testcases_implemented INTEGER UNSIGNED NULL,
  FOREIGN KEY(category_id)
    REFERENCES table_category(category_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=InnoDB;		

CREATE TABLE table_testcase_attachment (
  attachment_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  testcase_id INTEGER UNSIGNED NOT NULL,
  attachment_name TEXT NOT NULL,
  attachment_data LONGBLOB NOT NULL,
  date_added DATETIME NULL,
  size INTEGER UNSIGNED NOT NULL,
  PRIMARY KEY(attachment_id),
  INDEX testcase_attachment_FKIndex1(testcase_id),
  FOREIGN KEY(testcase_id)
    REFERENCES table_testcase(testcase_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=InnoDB;

CREATE TABLE table_test_attachment (
  attachment_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  test_id INTEGER UNSIGNED NOT NULL,
  attachment_name TEXT NOT NULL,
  attachment_data LONGBLOB NOT NULL,
  date_added DATETIME NULL,
  size INTEGER UNSIGNED NOT NULL,
  PRIMARY KEY(attachment_id),
  INDEX test_attachment_FKIndex1(test_id),
  FOREIGN KEY(test_id)
    REFERENCES table_test(test_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=InnoDB;

CREATE TABLE table_folder_attachment (
  attachment_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  folder_id INTEGER UNSIGNED NOT NULL,
  attachment_name TEXT NOT NULL,
  attachment_data LONGBLOB NOT NULL,
  date_added DATETIME NULL,
  size INTEGER UNSIGNED NOT NULL,
  PRIMARY KEY(attachment_id),
  INDEX test_attachment_FKIndex1(folder_id),
  FOREIGN KEY(folder_id)
    REFERENCES table_folder(folder_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=InnoDB;

CREATE TABLE table_category_attachment (
  attachment_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  category_id INTEGER UNSIGNED NOT NULL,
  attachment_name TEXT NOT NULL,
  attachment_data LONGBLOB NOT NULL,
  date_added DATETIME NULL,
  size INTEGER UNSIGNED NOT NULL,
  PRIMARY KEY(attachment_id),
  INDEX test_attachment_FKIndex1(category_id),
  FOREIGN KEY(category_id)
    REFERENCES table_category(category_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=InnoDB;

CREATE TABLE table_change (
  type TINYINT NOT NULL,
  id INTEGER UNSIGNED NOT NULL,
  date DATETIME NOT NULL,
  user_id INTEGER UNSIGNED NOT NULL,
  action TINYINT NOT NULL,
  information TEXT NULL,
  FOREIGN KEY(user_id)
    REFERENCES table_user(user_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=InnoDB;		

ALTER TABLE table_testcase ADD testcase_description TEXT NULL;

ALTER TABLE table_test ADD test_estimatedTime BIGINT UNSIGNED NOT NULL DEFAULT 0;

ALTER TABLE table_testcase ADD testcase_useDescAsTestplan BOOL NOT NULL DEFAULT 0;

