UPDATE table_version SET version_number = '35' WHERE version_id = '1';

CREATE TABLE table_usergroup_company (
  usergroup_id INTEGER UNSIGNED NOT NULL, 
  company_id INTEGER UNSIGNED NOT NULL, 
  UNIQUE KEY(usergroup_id, company_id), 
  INDEX usergroup_company_FKIndex1(usergroup_id), 
  INDEX usergroup_company_FKIndex2(company_id), 
  FOREIGN KEY(usergroup_id) 
    REFERENCES table_usergroup(usergroup_id) 
      ON DELETE CASCADE 
      ON UPDATE NO ACTION, 
  FOREIGN KEY(company_id) 
    REFERENCES table_company(company_id) 
      ON DELETE CASCADE 
      ON UPDATE NO ACTION 
)
ENGINE=InnoDB;

CREATE TABLE table_usergroup_category (
  usergroup_id INTEGER UNSIGNED NOT NULL, 
  category_id INTEGER UNSIGNED NOT NULL, 
  UNIQUE KEY(usergroup_id, category_id), 
  INDEX usergroup_category_FKIndex1(usergroup_id), 
  INDEX usergroup_category_FKIndex2(category_id), 
  FOREIGN KEY(usergroup_id) 
    REFERENCES table_usergroup(usergroup_id) 
      ON DELETE CASCADE 
      ON UPDATE NO ACTION, 
  FOREIGN KEY(category_id) 
    REFERENCES table_category(category_id) 
      ON DELETE CASCADE 
      ON UPDATE NO ACTION 
)
ENGINE=InnoDB;



