UPDATE table_version SET version_number = '50' WHERE version_id = '1';

ALTER TABLE table_attr_integer ADD attr_integer_normal_values VARCHAR(4096) CHARACTER SET utf8;
ALTER TABLE table_attr_string ADD attr_string_normal_values VARCHAR(4096) CHARACTER SET utf8;
ALTER TABLE table_sess DROP output_format;

CREATE TABLE table_sess_param_string (
  campaign_session_id INTEGER UNSIGNED NOT NULL,
  param_string_id INTEGER UNSIGNED NOT NULL,
  value TEXT CHARACTER SET utf8,
  INDEX sess_param_string_IK_1(campaign_session_id),
  INDEX sess_param_string_IK_2(param_string_id),
  FOREIGN KEY (campaign_session_id)
    REFERENCES table_sess(campaign_session_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY (param_string_id)
    REFERENCES table_param_string(param_string_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=INNODB;

CREATE TABLE table_sess_param_boolean (
  campaign_session_id INTEGER UNSIGNED NOT NULL,
  param_boolean_id INTEGER UNSIGNED NOT NULL,
  value BOOL NOT NULL DEFAULT 0,
  INDEX sess_param_boolean_IK_1(campaign_session_id),
  INDEX sess_param_boolean_IK_2(param_boolean_id),
  FOREIGN KEY (campaign_session_id)
    REFERENCES table_sess(campaign_session_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY (param_boolean_id)
    REFERENCES table_param_boolean(param_boolean_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=INNODB;

CREATE TABLE table_sess_param_integer (
  campaign_session_id INTEGER UNSIGNED NOT NULL,
  param_integer_id INTEGER UNSIGNED NOT NULL,
  value TEXT CHARACTER SET utf8 NOT NULL,
  INDEX sess_param_integer_IK_1(campaign_session_id),
  INDEX sess_param_integer_IK_2(param_integer_id),
  FOREIGN KEY (campaign_session_id)
    REFERENCES table_sess(campaign_session_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY (param_integer_id)
    REFERENCES table_param_integer(param_integer_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=INNODB;
















CREATE TABLE table_sch_attr_string (
  schedule_id INTEGER UNSIGNED NOT NULL,
  test_id INTEGER UNSIGNED NOT NULL,
  attr_string_id INTEGER UNSIGNED NOT NULL,
  value TEXT CHARACTER SET utf8,
  INDEX sch_attr_string_IK_1(schedule_id),
  INDEX sch_attr_string_IK_2(test_id),
  INDEX sch_attr_string_IK_3(attr_string_id),
  FOREIGN KEY (schedule_id)
    REFERENCES table_sch(schedule_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY (test_id)
    REFERENCES table_test(test_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY (attr_string_id)
    REFERENCES table_attr_string(attr_string_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=INNODB;

CREATE TABLE table_sch_attr_boolean (
  schedule_id INTEGER UNSIGNED NOT NULL,
  test_id INTEGER UNSIGNED NOT NULL,
  attr_boolean_id INTEGER UNSIGNED NOT NULL,
  value BOOL NOT NULL DEFAULT 0,
  INDEX sch_attr_boolean_IK_1(schedule_id),
  INDEX sch_attr_boolean_IK_2(test_id),
  INDEX sch_attr_boolean_IK_3(attr_boolean_id),
  FOREIGN KEY (schedule_id)
    REFERENCES table_sch(schedule_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY (test_id)
    REFERENCES table_test(test_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY (attr_boolean_id)
    REFERENCES table_attr_boolean(attr_boolean_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=INNODB;

CREATE TABLE table_sch_attr_integer (
  schedule_id INTEGER UNSIGNED NOT NULL,
  test_id INTEGER UNSIGNED NOT NULL,
  attr_integer_id INTEGER UNSIGNED NOT NULL,
  value TEXT CHARACTER SET utf8 NOT NULL,
  INDEX sch_attr_integer_IK_1(schedule_id),
  INDEX sch_attr_integer_IK_2(test_id),
  INDEX sch_attr_integer_IK_3(attr_integer_id),
  FOREIGN KEY (schedule_id)
    REFERENCES table_sch(schedule_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY (test_id)
    REFERENCES table_test(test_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY (attr_integer_id)
    REFERENCES table_attr_integer(attr_integer_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=INNODB;






CREATE TABLE table_sch_param_string (
  schedule_id INTEGER UNSIGNED NOT NULL,
  param_string_id INTEGER UNSIGNED NOT NULL,
  value TEXT CHARACTER SET utf8,
  INDEX sch_param_string_IK_1(schedule_id),
  INDEX sch_param_string_IK_2(param_string_id),
  FOREIGN KEY (schedule_id)
    REFERENCES table_sch(schedule_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY (param_string_id)
    REFERENCES table_param_string(param_string_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=INNODB;

CREATE TABLE table_sch_param_boolean (
  schedule_id INTEGER UNSIGNED NOT NULL,
  param_boolean_id INTEGER UNSIGNED NOT NULL,
  value BOOL NOT NULL DEFAULT 0,
  INDEX sch_param_boolean_IK_1(schedule_id),
  INDEX sch_param_boolean_IK_2(param_boolean_id),
  FOREIGN KEY (schedule_id)
    REFERENCES table_sch(schedule_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY (param_boolean_id)
    REFERENCES table_param_boolean(param_boolean_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=INNODB;

CREATE TABLE table_sch_param_integer (
  schedule_id INTEGER UNSIGNED NOT NULL,
  param_integer_id INTEGER UNSIGNED NOT NULL,
  value TEXT CHARACTER SET utf8 NOT NULL,
  INDEX sch_param_integer_IK_1(schedule_id),
  INDEX sch_param_integer_IK_2(param_integer_id),
  FOREIGN KEY (schedule_id)
    REFERENCES table_sch(schedule_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY (param_integer_id)
    REFERENCES table_param_integer(param_integer_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=INNODB;





INSERT INTO table_holiday VALUES
(DEFAULT, 'US', '2013-01-01 00:00:00', '2013-01-01 23:59:59', 'New Year\'s Day'),
(DEFAULT, 'US', '2013-01-21 00:00:00', '2013-01-21 23:59:59', 'Martin Luther King\'s Day'),
(DEFAULT, 'US', '2013-02-18 00:00:00', '2013-02-18 23:59:59', 'Washington\'s birthday'),
(DEFAULT, 'US', '2013-05-27 00:00:00', '2013-05-27 23:59:59', 'Memorial Day'),
(DEFAULT, 'US', '2013-07-04 00:00:00', '2013-07-04 23:59:59', 'Independance Day'),
(DEFAULT, 'US', '2013-09-02 00:00:00', '2013-09-02 23:59:59', 'Labor Day'),
(DEFAULT, 'US', '2013-10-14 00:00:00', '2013-10-14 23:59:59', 'Columbus Day'),
(DEFAULT, 'US', '2013-11-11 00:00:00', '2013-11-11 23:59:59', 'Veterans Day'),
(DEFAULT, 'US', '2013-11-28 00:00:00', '2013-11-28 23:59:59', 'Thanksgiving Day'),
(DEFAULT, 'US', '2013-12-25 00:00:00', '2013-12-25 23:59:59', 'Christmas Day'),

(DEFAULT, 'FR', '2013-01-01 00:00:00', '2013-01-01 23:59:59', 'Jour de l\'An'),
(DEFAULT, 'FR', '2013-04-01 00:00:00', '2013-04-01 23:59:59', 'Lundi de Pques'),
(DEFAULT, 'FR', '2013-05-01 00:00:00', '2013-05-01 23:59:59', 'Fte du Travail'),
(DEFAULT, 'FR', '2013-05-08 00:00:00', '2013-05-08 23:59:59', 'Fte de la victoire 1945'),
(DEFAULT, 'FR', '2013-05-09 00:00:00', '2013-05-09 23:59:59', 'Ascension'),
(DEFAULT, 'FR', '2013-07-14 00:00:00', '2013-07-14 23:59:59', 'Fte Nationale'),
(DEFAULT, 'FR', '2013-08-15 00:00:00', '2013-08-15 23:59:59', 'Assomption'),
(DEFAULT, 'FR', '2013-11-01 00:00:00', '2013-11-01 23:59:59', 'Toussaint'),
(DEFAULT, 'FR', '2013-11-11 00:00:00', '2013-11-11 23:59:59', 'Armistice'),
(DEFAULT, 'FR', '2013-12-25 00:00:00', '2013-12-25 23:59:59', 'Nol');