UPDATE table_version SET version_number = '52' WHERE version_id = '1';

ALTER TABLE table_case_data ADD editor_type TINYINT UNSIGNED NOT NULL DEFAULT 1;
ALTER TABLE table_case_data DROP testcase_useDescAsTestplan;

CREATE TABLE table_sqlreport (
  sqlreport_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  folder_id INTEGER UNSIGNED NOT NULL,
  sqlreport_name VARCHAR(128) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY(sqlreport_id),
  INDEX sqlreport_IK_1(folder_id),
  FOREIGN KEY (folder_id)
    REFERENCES table_folder(folder_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=INNODB;

CREATE TABLE table_sqlreport_data ( 
  data_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT, 
  sqlreport_id INTEGER UNSIGNED NOT NULL, 
  query TEXT CHARACTER SET utf8 NULL, 
  date_submitted DATETIME NULL, 
  revision INTEGER UNSIGNED NOT NULL DEFAULT 1, 
  PRIMARY KEY(data_id), 
  UNIQUE KEY sqlreport_data_UK_1(sqlreport_id, revision), 
  INDEX sqlreport_data_IK_1(sqlreport_id), 
  FOREIGN KEY (sqlreport_id) 
    REFERENCES table_sqlreport(sqlreport_id) 
      ON DELETE CASCADE 
      ON UPDATE NO ACTION 
) ENGINE=INNODB;

INSERT INTO table_folder VALUES (12, 12, 'na', 1, 1, 1, NULL);
INSERT INTO table_folder VALUES (28, 12, 'My reports', 1, 1, 1, "This is a folder containing some SQL reports");

INSERT INTO table_sqlreport VALUES(100, 28, 'Longest tests to execute');
INSERT INTO table_sqlreport_data VALUES(100, 100, 'SELECT CONCAT(''[T_'', test_id, '']'') AS Id, test_name AS Name, test_estimatedTime AS ''Time (ms)''
FROM table_test
ORDER BY test_estimatedTime DESC', '2013-03-04 00:00:01', 1);

INSERT INTO table_sqlreport VALUES(99, 28, 'Tests authored by');
INSERT INTO table_sqlreport_data VALUES(99, 99, 'SELECT CONCAT(''[T_'', test_id, '']'') AS Id, test_name AS Name, user_name AS Author
FROM table_test, table_user
WHERE table_test.author_id = table_user.user_id
AND user_name = ''admin''', '2013-03-04 00:00:01', 1);

INSERT INTO table_sqlreport VALUES(98, 28, 'Tests developed by');
INSERT INTO table_sqlreport_data VALUES(98, 98, 'SELECT CONCAT(''[T_'', test_id, '']'') AS Id, test_name AS Name, user_name AS Author
FROM table_test, table_user
WHERE table_test.developer_id = table_user.user_id
AND user_name = ''admin''', '2013-03-04 00:00:01', 1);
