UPDATE table_version SET version_number = '8' WHERE version_id = '1';

CREATE TABLE table_defect_integrated_sut (
  type TINYINT NOT NULL,
  defect_id INTEGER UNSIGNED NOT NULL,
  sut_id INTEGER UNSIGNED NOT NULL,
  INDEX defect_FKIndex1(defect_id),
  INDEX sut_FKIndex2(sut_id),
  FOREIGN KEY(defect_id)
    REFERENCES table_defect_integrated(defect_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY(sut_id)
    REFERENCES table_sut(sut_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=InnoDB;

CREATE TABLE table_platform (
  platform_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  platform_name VARCHAR(32) NOT NULL,
  PRIMARY KEY(platform_id)
)
ENGINE=InnoDB;

INSERT INTO table_platform VALUES (999, '*');
INSERT INTO table_platform VALUES (2,   'ix86');
INSERT INTO table_platform VALUES (3,   'amd64');
INSERT INTO table_platform VALUES (4,   'sparc');
INSERT INTO table_platform VALUES (5,   'arm');
INSERT INTO table_platform VALUES (6,   'ppc');
INSERT INTO table_platform VALUES (7,   'mips');
INSERT INTO table_platform VALUES (8,   'm68k');
INSERT INTO table_platform VALUES (9,   'vax');
INSERT INTO table_platform VALUES (10,  'alpha');


CREATE TABLE table_os (
  os_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  os_name VARCHAR(32) NOT NULL,
  PRIMARY KEY(os_id)
)
ENGINE=InnoDB;

INSERT INTO table_os VALUES (999, '*');
INSERT INTO table_os VALUES (10,  'Windows 98');
INSERT INTO table_os VALUES (11,  'Windows NT4');
INSERT INTO table_os VALUES (12,  'Windows 2000');
INSERT INTO table_os VALUES (13,  'Windows Me');
INSERT INTO table_os VALUES (14,  'Windows XP');
INSERT INTO table_os VALUES (15,  'Windows Vista');
INSERT INTO table_os VALUES (100, 'Linux/FreeBSD 6.3');
INSERT INTO table_os VALUES (101, 'Linux/FreeBSD 7.0');
INSERT INTO table_os VALUES (102, 'Linux/Debian 3.1');
INSERT INTO table_os VALUES (103, 'Linux/Debian 4.0');
INSERT INTO table_os VALUES (104, 'Linux/RedHat 5.0');
INSERT INTO table_os VALUES (105, 'Linux/SuSE 10.2');
INSERT INTO table_os VALUES (106, 'Linux/SuSE 10.3');
INSERT INTO table_os VALUES (107, 'Linux/SuSE 11.0');
INSERT INTO table_os VALUES (108, 'Linux/Ubuntu 8.04.1');
INSERT INTO table_os VALUES (109, 'Linux/NetBSD 2.0');
INSERT INTO table_os VALUES (110, 'Linux/OpenBSD 4.3');
INSERT INTO table_os VALUES (111, 'Linux/Fedora 9.0');
INSERT INTO table_os VALUES (112, 'Linux/Gentoo 2007.0');
INSERT INTO table_os VALUES (113, 'Linux/Slackware 12.1');
INSERT INTO table_os VALUES (114, 'Linux/SCO UnixWare 7.1.3');
INSERT INTO table_os VALUES (115, 'Linux/SCO UnixWare 7.1.4');
INSERT INTO table_os VALUES (116, 'Linux/Mandriva 2008 Spring');
INSERT INTO table_os VALUES (300, 'MacOSX Tiger');
INSERT INTO table_os VALUES (301, 'MacOSX Leopard');
INSERT INTO table_os VALUES (400, 'Solaris 10');
INSERT INTO table_os VALUES (500, 'HPUX 11i v2');
INSERT INTO table_os VALUES (501, 'HPUX 11i v3');
INSERT INTO table_os VALUES (600, 'BeOS R5');
INSERT INTO table_os VALUES (601, 'BeOS R6');
INSERT INTO table_os VALUES (700, 'Haiku');

# always visible
ALTER TABLE table_defect_integrated ADD step_to_reproduce TEXT NOT NULL;
ALTER TABLE table_defect_integrated ADD sut_id INTEGER UNSIGNED NOT NULL;
ALTER TABLE table_defect_integrated ADD reproducibility TINYINT DEFAULT 1;
ALTER TABLE table_defect_integrated ADD platform_id INTEGER UNSIGNED NOT NULL DEFAULT 999;
ALTER TABLE table_defect_integrated ADD os_id INTEGER UNSIGNED NOT NULL DEFAULT 999;
ALTER TABLE table_defect_integrated ADD fix_target_date DATETIME NULL;
ALTER TABLE table_defect_integrated ADD fix_target_version VARCHAR(32) NULL;

# only visible when status >= "acknowledged"
ALTER TABLE table_defect_integrated ADD completion_percentage TINYINT NOT NULL DEFAULT 0;

# only visible when status >= "resolved"
ALTER TABLE table_defect_integrated ADD fix_type TINYINT NULL;
ALTER TABLE table_defect_integrated ADD fix_description TEXT NULL;
ALTER TABLE table_defect_integrated ADD fix_patches VARCHAR(64) NULL;
ALTER TABLE table_defect_integrated ADD fixed_in_version VARCHAR(32) NULL;





