UPDATE table_version SET version_number = '50' WHERE version_id = '1';

ALTER TABLE table_attr_integer ADD attr_integer_normal_values CLOB;
ALTER TABLE table_attr_string ADD attr_string_normal_values CLOB;
ALTER TABLE table_sess DROP (output_format);

CREATE TABLE table_sess_param_boolean (
  campaign_session_id NUMBER(10,0) NOT NULL,
  param_boolean_id NUMBER(10,0) NOT NULL,
  value NUMBER(3,0) DEFAULT '0' NOT NULL);

CREATE INDEX sess_param_boolean_IK_1 ON table_sess_param_boolean (
  campaign_session_id);
CREATE INDEX sess_param_boolean_IK_2 ON table_sess_param_boolean (
  param_boolean_id);
GRANT SELECT, INSERT, DELETE, UPDATE, REFERENCES ON table_sess_param_boolean TO PUBLIC;


CREATE TABLE table_sess_param_integer (
  campaign_session_id NUMBER(10,0) NOT NULL,
  param_integer_id NUMBER(10,0) NOT NULL,
  value CLOB NOT NULL);

CREATE INDEX sess_param_integer_IK_1 ON table_sess_param_integer (
  campaign_session_id);
CREATE INDEX sess_param_integer_IK_2 ON table_sess_param_integer (
  param_integer_id);
GRANT SELECT, INSERT, DELETE, UPDATE, REFERENCES ON table_sess_param_integer TO PUBLIC;


CREATE TABLE table_sess_param_string (
  campaign_session_id NUMBER(10,0) NOT NULL,
  param_string_id NUMBER(10,0) NOT NULL,
  value CLOB);

CREATE INDEX sess_param_string_IK_1 ON table_sess_param_string (
  campaign_session_id);
CREATE INDEX sess_param_string_IK_3 ON table_sess_param_string (
  param_string_id);
GRANT SELECT, INSERT, DELETE, UPDATE, REFERENCES ON table_sess_param_string TO PUBLIC;


ALTER TABLE table_sess_param_boolean ADD CONSTRAINT table_sess_param_boolea_ibfk_1 FOREIGN KEY (campaign_session_id) REFERENCES table_sess (campaign_session_id) ON DELETE CASCADE ENABLE;
ALTER TABLE table_sess_param_boolean ADD CONSTRAINT table_sess_param_boolea_ibfk_2 FOREIGN KEY (param_boolean_id) REFERENCES table_param_boolean (param_boolean_id) ON DELETE CASCADE ENABLE;
ALTER TABLE table_sess_param_integer ADD CONSTRAINT table_sess_param_intege_ibfk_1 FOREIGN KEY (campaign_session_id) REFERENCES table_sess (campaign_session_id) ON DELETE CASCADE ENABLE;
ALTER TABLE table_sess_param_integer ADD CONSTRAINT table_sess_param_intege_ibfk_2 FOREIGN KEY (param_integer_id) REFERENCES table_param_integer (param_integer_id) ON DELETE CASCADE ENABLE;
ALTER TABLE table_sess_param_string ADD CONSTRAINT table_sess_param_string_ibfk_1 FOREIGN KEY (campaign_session_id) REFERENCES table_sess (campaign_session_id) ON DELETE CASCADE ENABLE;
ALTER TABLE table_sess_param_string ADD CONSTRAINT table_sess_param_string_ibfk_2 FOREIGN KEY (param_string_id) REFERENCES table_param_string (param_string_id) ON DELETE CASCADE ENABLE;
















CREATE TABLE table_sch_attr_boolean (
  schedule_id NUMBER(10,0) NOT NULL,
  test_id NUMBER(10,0) NOT NULL,
  attr_boolean_id NUMBER(10,0) NOT NULL,
  value NUMBER(3,0) DEFAULT '0' NOT NULL);

CREATE INDEX sch_attr_boolean_IK_1 ON table_sch_attr_boolean (
  schedule_id);
CREATE INDEX sch_attr_boolean_IK_2 ON table_sch_attr_boolean (
  test_id);
CREATE INDEX sch_attr_boolean_IK_3 ON table_sch_attr_boolean (
  attr_boolean_id);
GRANT SELECT, INSERT, DELETE, UPDATE, REFERENCES ON table_sch_attr_boolean TO PUBLIC;


CREATE TABLE table_sch_attr_integer (
  schedule_id NUMBER(10,0) NOT NULL,
  test_id NUMBER(10,0) NOT NULL,
  attr_integer_id NUMBER(10,0) NOT NULL,
  value CLOB NOT NULL);

CREATE INDEX sch_attr_integer_IK_2 ON table_sch_attr_integer (
  test_id);
CREATE INDEX sch_attr_integer_IK_3 ON table_sch_attr_integer (
  attr_integer_id);
CREATE INDEX sch_attr_integer_IK_1 ON table_sch_attr_integer (
  schedule_id);
GRANT SELECT, INSERT, DELETE, UPDATE, REFERENCES ON table_sch_attr_integer TO PUBLIC;


CREATE TABLE table_sch_attr_string (
  schedule_id NUMBER(10,0) NOT NULL,
  test_id NUMBER(10,0) NOT NULL,
  attr_string_id NUMBER(10,0) NOT NULL,
  value CLOB);

CREATE INDEX sch_attr_string_IK_1 ON table_sch_attr_string (
  schedule_id);
CREATE INDEX sch_attr_string_IK_2 ON table_sch_attr_string (
  test_id);
CREATE INDEX sch_attr_string_IK_3 ON table_sch_attr_string (
  attr_string_id);
GRANT SELECT, INSERT, DELETE, UPDATE, REFERENCES ON table_sch_attr_string TO PUBLIC;


ALTER TABLE table_sch_attr_boolean ADD CONSTRAINT table_sch_attr_boolean_ibfk_1 FOREIGN KEY (schedule_id) REFERENCES table_sch (schedule_id) ON DELETE CASCADE ENABLE;
ALTER TABLE table_sch_attr_boolean ADD CONSTRAINT table_sch_attr_boolean_ibfk_2 FOREIGN KEY (test_id) REFERENCES table_test (test_id) ON DELETE CASCADE ENABLE;
ALTER TABLE table_sch_attr_boolean ADD CONSTRAINT table_sch_attr_boolean_ibfk_3 FOREIGN KEY (attr_boolean_id) REFERENCES table_attr_boolean (attr_boolean_id) ON DELETE CASCADE ENABLE;
ALTER TABLE table_sch_attr_integer ADD CONSTRAINT table_sch_attr_integer_ibfk_1 FOREIGN KEY (schedule_id) REFERENCES table_sch (schedule_id) ON DELETE CASCADE ENABLE;
ALTER TABLE table_sch_attr_integer ADD CONSTRAINT table_sch_attr_integer_ibfk_2 FOREIGN KEY (test_id) REFERENCES table_test (test_id) ON DELETE CASCADE ENABLE;
ALTER TABLE table_sch_attr_integer ADD CONSTRAINT table_sch_attr_integer_ibfk_3 FOREIGN KEY (attr_integer_id) REFERENCES table_attr_integer (attr_integer_id) ON DELETE CASCADE ENABLE;
ALTER TABLE table_sch_attr_string ADD CONSTRAINT table_sch_attr_string_ibfk_1 FOREIGN KEY (schedule_id) REFERENCES table_sch (schedule_id) ON DELETE CASCADE ENABLE;
ALTER TABLE table_sch_attr_string ADD CONSTRAINT table_sch_attr_string_ibfk_2 FOREIGN KEY (test_id) REFERENCES table_test (test_id) ON DELETE CASCADE ENABLE;
ALTER TABLE table_sch_attr_string ADD CONSTRAINT table_sch_attr_string_ibfk_3 FOREIGN KEY (attr_string_id) REFERENCES table_attr_string (attr_string_id) ON DELETE CASCADE ENABLE;





CREATE TABLE table_sch_param_boolean (
  schedule_id NUMBER(10,0) NOT NULL,
  param_boolean_id NUMBER(10,0) NOT NULL,
  value NUMBER(3,0) DEFAULT '0' NOT NULL);

CREATE INDEX sch_param_boolean_IK_1 ON table_sch_param_boolean (
  schedule_id);
CREATE INDEX sch_param_boolean_IK_2 ON table_sch_param_boolean (
  param_boolean_id);
GRANT SELECT, INSERT, DELETE, UPDATE, REFERENCES ON table_sch_param_boolean TO PUBLIC;


CREATE TABLE table_sch_param_integer (
  schedule_id NUMBER(10,0) NOT NULL,
  param_integer_id NUMBER(10,0) NOT NULL,
  value CLOB NOT NULL);

CREATE INDEX sch_param_integer_IK_1 ON table_sch_param_integer (
  schedule_id);
CREATE INDEX sch_param_integer_IK_2 ON table_sch_param_integer (
  param_integer_id);
GRANT SELECT, INSERT, DELETE, UPDATE, REFERENCES ON table_sch_param_integer TO PUBLIC;


CREATE TABLE table_sch_param_string (
  schedule_id NUMBER(10,0) NOT NULL,
  param_string_id NUMBER(10,0) NOT NULL,
  value CLOB);

CREATE INDEX sch_param_string_IK_1 ON table_sch_param_string (
  schedule_id);
CREATE INDEX sch_param_string_IK_3 ON table_sch_param_string (
  param_string_id);
GRANT SELECT, INSERT, DELETE, UPDATE, REFERENCES ON table_sch_param_string TO PUBLIC;


ALTER TABLE table_sch_param_boolean ADD CONSTRAINT table_sch_param_boolean_ibfk_1 FOREIGN KEY (schedule_id) REFERENCES table_sch (schedule_id) ON DELETE CASCADE ENABLE;
ALTER TABLE table_sch_param_boolean ADD CONSTRAINT table_sch_param_boolean_ibfk_2 FOREIGN KEY (param_boolean_id) REFERENCES table_param_boolean (param_boolean_id) ON DELETE CASCADE ENABLE;
ALTER TABLE table_sch_param_integer ADD CONSTRAINT table_sch_param_integer_ibfk_1 FOREIGN KEY (schedule_id) REFERENCES table_sch (schedule_id) ON DELETE CASCADE ENABLE;
ALTER TABLE table_sch_param_integer ADD CONSTRAINT table_sch_param_integer_ibfk_2 FOREIGN KEY (param_integer_id) REFERENCES table_param_integer (param_integer_id) ON DELETE CASCADE ENABLE;
ALTER TABLE table_sch_param_string ADD CONSTRAINT table_sch_param_string_ibfk_1 FOREIGN KEY (schedule_id) REFERENCES table_sch (schedule_id) ON DELETE CASCADE ENABLE;
ALTER TABLE table_sch_param_string ADD CONSTRAINT table_sch_param_string_ibfk_2 FOREIGN KEY (param_string_id) REFERENCES table_param_string (param_string_id) ON DELETE CASCADE ENABLE;


























INSERT INTO table_holiday VALUES (NULL, 'US', to_date('2013-01-01 00:00:00', 'yyyy-mm-dd hh24:mi:ss'), to_date('2013-01-01 23:59:59', 'yyyy-mm-dd hh24:mi:ss'), 'New Year''s Day');
INSERT INTO table_holiday VALUES (NULL, 'US', to_date('2013-01-21 00:00:00', 'yyyy-mm-dd hh24:mi:ss'), to_date('2013-01-21 23:59:59', 'yyyy-mm-dd hh24:mi:ss'), 'Martin Luther King''s Day');
INSERT INTO table_holiday VALUES (NULL, 'US', to_date('2013-02-18 00:00:00', 'yyyy-mm-dd hh24:mi:ss'), to_date('2013-02-18 23:59:59', 'yyyy-mm-dd hh24:mi:ss'), 'Washington''s birthday');
INSERT INTO table_holiday VALUES (NULL, 'US', to_date('2013-05-27 00:00:00', 'yyyy-mm-dd hh24:mi:ss'), to_date('2013-05-27 23:59:59', 'yyyy-mm-dd hh24:mi:ss'), 'Memorial Day');
INSERT INTO table_holiday VALUES (NULL, 'US', to_date('2013-07-04 00:00:00', 'yyyy-mm-dd hh24:mi:ss'), to_date('2013-07-04 23:59:59', 'yyyy-mm-dd hh24:mi:ss'), 'Independance Day');
INSERT INTO table_holiday VALUES (NULL, 'US', to_date('2013-09-02 00:00:00', 'yyyy-mm-dd hh24:mi:ss'), to_date('2013-09-02 23:59:59', 'yyyy-mm-dd hh24:mi:ss'), 'Labor Day');
INSERT INTO table_holiday VALUES (NULL, 'US', to_date('2013-10-14 00:00:00', 'yyyy-mm-dd hh24:mi:ss'), to_date('2013-10-14 23:59:59', 'yyyy-mm-dd hh24:mi:ss'), 'Columbus Day');
INSERT INTO table_holiday VALUES (NULL, 'US', to_date('2013-11-11 00:00:00', 'yyyy-mm-dd hh24:mi:ss'), to_date('2013-11-11 23:59:59', 'yyyy-mm-dd hh24:mi:ss'), 'Veterans Day');
INSERT INTO table_holiday VALUES (NULL, 'US', to_date('2013-11-28 00:00:00', 'yyyy-mm-dd hh24:mi:ss'), to_date('2013-11-28 23:59:59', 'yyyy-mm-dd hh24:mi:ss'), 'Thanksgiving Day');
INSERT INTO table_holiday VALUES (NULL, 'US', to_date('2013-12-25 00:00:00', 'yyyy-mm-dd hh24:mi:ss'), to_date('2013-12-25 23:59:59', 'yyyy-mm-dd hh24:mi:ss'), 'Christmas Day');

INSERT INTO table_holiday VALUES (NULL, 'FR', to_date('2013-01-01 00:00:00', 'yyyy-mm-dd hh24:mi:ss'), to_date('2013-01-01 23:59:59', 'yyyy-mm-dd hh24:mi:ss'), 'Jour de l''An');
INSERT INTO table_holiday VALUES (NULL, 'FR', to_date('2013-04-01 00:00:00', 'yyyy-mm-dd hh24:mi:ss'), to_date('2013-04-01 23:59:59', 'yyyy-mm-dd hh24:mi:ss'), 'Lundi de Pques');
INSERT INTO table_holiday VALUES (NULL, 'FR', to_date('2013-05-01 00:00:00', 'yyyy-mm-dd hh24:mi:ss'), to_date('2013-05-01 23:59:59', 'yyyy-mm-dd hh24:mi:ss'), 'Fte du Travail');
INSERT INTO table_holiday VALUES (NULL, 'FR', to_date('2013-05-08 00:00:00', 'yyyy-mm-dd hh24:mi:ss'), to_date('2013-05-08 23:59:59', 'yyyy-mm-dd hh24:mi:ss'), 'Fte de la victoire 1945');
INSERT INTO table_holiday VALUES (NULL, 'FR', to_date('2013-05-09 00:00:00', 'yyyy-mm-dd hh24:mi:ss'), to_date('2013-05-09 23:59:59', 'yyyy-mm-dd hh24:mi:ss'), 'Ascension');
INSERT INTO table_holiday VALUES (NULL, 'FR', to_date('2013-07-14 00:00:00', 'yyyy-mm-dd hh24:mi:ss'), to_date('2013-07-14 23:59:59', 'yyyy-mm-dd hh24:mi:ss'), 'Fte Nationale');
INSERT INTO table_holiday VALUES (NULL, 'FR', to_date('2013-08-15 00:00:00', 'yyyy-mm-dd hh24:mi:ss'), to_date('2013-08-15 23:59:59', 'yyyy-mm-dd hh24:mi:ss'), 'Assomption');
INSERT INTO table_holiday VALUES (NULL, 'FR', to_date('2013-11-01 00:00:00', 'yyyy-mm-dd hh24:mi:ss'), to_date('2013-11-01 23:59:59', 'yyyy-mm-dd hh24:mi:ss'), 'Toussaint');
INSERT INTO table_holiday VALUES (NULL, 'FR', to_date('2013-11-11 00:00:00', 'yyyy-mm-dd hh24:mi:ss'), to_date('2013-11-11 23:59:59', 'yyyy-mm-dd hh24:mi:ss'), 'Armistice');
INSERT INTO table_holiday VALUES (NULL, 'FR', to_date('2013-12-25 00:00:00', 'yyyy-mm-dd hh24:mi:ss'), to_date('2013-12-25 23:59:59', 'yyyy-mm-dd hh24:mi:ss'), 'Nol');