<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" indent="yes" encoding="UTF-8"/>

  <!-- global variables -->
  <xsl:variable name="codebase" select="properties/@codebase" />

  <xsl:include href="#export_absolute_path#xsl/email_Lib.xslt"/>
  <xsl:template match="/">
    <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

	  <head>		
		<title>XStudio Report</title>
		<meta http-equiv="Pragma" content="no-cache"/>
	  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta http-equiv="Content-Language" content="en"/>
	   <style TYPE="text/css">
	     BODY {background: white; color: black; font-size: 10pt; font-family: "Century Gothic", Helvetica, Arial, sans-serif;}
	     H1 {margin-top:10pt; margin-bottom:2pt; padding-left:0pt; font-weight:bold; font-size:12pt; color:#d66d18}
	     H2 {margin-top:10pt; margin-bottom:2pt; padding-left:0pt; font-weight:bold; font-size:10pt; color:#d66d18}
	     H3 {margin-top:10pt; margin-bottom:2pt; padding-left:0pt; font-weight:bold; font-size:8pt; color:#358560}
	     TABLE {border-style:solid; border-width:1px; border-color:#96d6b9; border-collapse:collapse}
	     TD {font-size:8pt}
	     A:link {font-weight:bold;  font-size:8pt;  text-decoration:none;  background-color:transparent;  color:#518b72}
	     A:visited {font-weight:bold;  font-size:8pt;  text-decoration:none;  background-repeat:no-repeat;  background-color:transparent;  color:#518b72}
	     A:active {font-weight:bold;  font-size:8pt;  text-decoration:none;  background-color:transparent;  color:#518b72}
	     A:hover {font-weight:bold;  font-size:8pt;  text-decoration:none;  background-color:transparent;  color:#ff9535}
	     .text_box {border-style:solid; border-width:1px; border-color:#96d6b9; border-collapse:collapse; font-size:8pt; margin:0; padding:4px; background-color:#def2e9; color:#000000; vertical-align:top}
	     .table_data_header {font-weight:bold; font-size:8pt; border-spacing:0px; padding:4px; background-color:#def2e9; color:#000000; vertical-align:top}
	     .table_data_subheader {font-weight:bold; font-size:8pt; border-spacing:0px; padding:4px; background-color:#def2e9; color:#000000; vertical-align:top}
	     .table_data_content {font-weight:normal; font-size:8pt; border-spacing:0px; padding:4px; background-color:#def2e9; color:#000000; vertical-align:top}
	     .text_red    {color:#cc0000}
       .text_orange {color:#ff7f01}
       .text_blue   {color:#0000cc}
       .text_green  {color:#00aa00}
       .text_grey   {color:#666666}
	   </style>
	  </head>
    
      <body>
        <img border="0" src="http://www.xqual.com/resources/images/xqual_thumbnail.gif"/>
        
        <h1>Campaign Session</h1>
        <xsl:variable name="sessionId" select="properties/id" />
        <xsl:variable name="sessionName" select="properties/name" />
        The campaign session <b>[<xsl:value-of select="$sessionId"/>] <xsl:value-of select="$sessionName"/></b>...<br/>
        - was executed on <b><i><xsl:value-of select="properties/sutName"/>&#160;<xsl:value-of select="properties/sutVersion"/></i></b><br/>
        - started at <i><xsl:value-of select="properties/startDate"/></i><br/>
        - stopped at <i><xsl:value-of select="properties/stopDate"/>"</i><br/>
        <br/>
        <b><xsl:value-of select="properties/nbTestcasesExecuted"/></b> results submitted/<b><xsl:value-of select="properties/nbTotal"/></b> test cases<br/>
        Url:
        <xsl:call-template name="urlToObject">
          <xsl:with-param name="globalId" select="$sessionId"/>
          <xsl:with-param name="name"     select="$sessionName"/> 
        </xsl:call-template>
        <br/><br/>
        
        <table>
          <tr><td class="table_data_subheader">Success:</td><td class="table_data_content"><xsl:value-of select="properties/nbSuccess"/></td><td class="table_data_content"><xsl:value-of select="properties/percentageSuccess"/></td></tr>
          <tr><td class="table_data_subheader">Failure:</td><td class="table_data_content"><xsl:value-of select="properties/nbFailure"/></td><td class="table_data_content"><xsl:value-of select="properties/percentageFailure"/></td></tr>
          <tr><td class="table_data_subheader">Relative:</td><td class="table_data_content"><xsl:value-of select="properties/nbRelative"/></td><td class="table_data_content"><xsl:value-of select="properties/percentageRelative"/></td></tr>
          <tr><td class="table_data_subheader">Not Executed:</td><td class="table_data_content"><xsl:value-of select="properties/nbNotExecuted"/></td><td class="table_data_content"><xsl:value-of select="properties/percentageNotExecuted"/></td></tr>
        </table>
        
        <br/><br/>
        <a href="http://www.xqual.com">http://www.xqual.com</a>
        <br/><br/><br/>
      </body>
    </html>

  </xsl:template>

</xsl:stylesheet>