<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="xml" indent="yes" encoding="UTF-8"/>

  <xsl:template match="/">
		<xsl:variable name="sessionId"     select="reports/campaignsession/@id" />
		<xsl:variable name="sessionName"   select="reports/campaignsession/@name" />
	
	    <xsl:variable name="nbNotExecuted" select="count(//testcase[@status='0'])" />
	    <xsl:variable name="nbSuccess"     select="count(//testcase[@status='1'])" />
	    <xsl:variable name="nbFailure"     select="count(//testcase[@status='2'])" />
	    <xsl:variable name="nbRelative"    select="count(//testcase[@status='3'])" />
	    <xsl:variable name="nbTotal"       select="count(//testcase)" />

		<testsuite errors="0" time="0.001">
			<xsl:attribute name="tests"><xsl:value-of select="$nbTotal"/></xsl:attribute>
			<xsl:attribute name="failures"><xsl:value-of select="$nbFailure"/></xsl:attribute>
			<xsl:attribute name="name">[CS_<xsl:value-of select="$sessionId"/>] <xsl:value-of disable-output-escaping="yes" select="$sessionName"/></xsl:attribute>

			<xsl:for-each select="//testcase">
				<xsl:variable name="testcaseId"          select="@id" />
				<xsl:variable name="testcaseName"        select="@name" />
				<xsl:variable name="testcaseStatus"      select="@status" />

				<testcase time="0.001">
					<xsl:attribute name="name">[TC_<xsl:value-of select="$testcaseId"/>] <xsl:value-of disable-output-escaping="yes" select="$testcaseName" /></xsl:attribute>
					
					<xsl:if test="$testcaseStatus='2'">		
						<failure type="testcase failure" message="testcase failure">
							<xsl:for-each select="message/step[@status='2']">
								<xsl:value-of disable-output-escaping="yes" select="@message" />
							</xsl:for-each>
						</failure>
					   <system-out></system-out>
					</xsl:if>
				</testcase>
			</xsl:for-each>
		</testsuite>
		
  </xsl:template>
</xsl:stylesheet>